import { registerAs, ConfigType } from '@nestjs/config'

export const emailConfig = registerAs('email', () => ({
  host: process.env.EMAIL_HOST || 'smtp.exmail.qq.com',
  port: Number(process.env.EMAIL_PORT) || 465,
  user: process.env.EMAIL_AUTH_USER || 'admin@qiuxu.site',
  password: process.env.EMAIL_AUTH_PASS || '',
  send_from: process.env.EMAIL_SEND_FROM || '"qiuxu.site" <admin@qiuxu.site>',
}))

export type EmailConfig = ConfigType<typeof emailConfig>
