import { registerAs, ConfigType } from '@nestjs/config'

export const securityConfig = registerAs('security', () => ({
  jwt_access_secret: process.env.JWT_ACCESS_SECRET || 'JWT_ACCESS_SECRET',
  jwt_refresh_secret: process.env.JWT_REFRESH_SECRET || 'JWT_REFRESH_SECRET',
  expiresIn: process.env.expiresIn || '30m',
  refreshIn: process.env.refreshIn || '7d',
  bcryptSaltOrRound: Number(process.env.bcryptSaltOrRound) || 10,
}))

export type SecurityConfig = ConfigType<typeof securityConfig>
