import { applyDecorators, UseGuards, SetMetadata } from '@nestjs/common'
import { JwtAuthGuard } from '../guards/jwt-auth.guard'
import { ApiBearerAuth, ApiUnauthorizedResponse } from '@nestjs/swagger'

export const NEED_AUTH_KEY = 'need-auth'

export function NeedAuth(needAuth = true) {
  if (needAuth) {
    return applyDecorators(
      SetMetadata(NEED_AUTH_KEY, needAuth),
      UseGuards(JwtAuthGuard),
      ApiBearerAuth(),
      ApiUnauthorizedResponse({ description: 'Unauthorized' }),
    )
  }
  return new Function()
}
