import {
  CallHandler,
  ExecutionContext,
  Injectable,
  NestInterceptor,
} from '@nestjs/common'
import { map, Observable } from 'rxjs'
import { UserEntity } from 'src/users/entities/user.entity'

@Injectable()
export class PasswordInterceptor implements NestInterceptor {
  intercept(context: ExecutionContext, next: CallHandler): Observable<any> {
    return next.handle().pipe(
      map((user: UserEntity) => {
        if ('password' in user) {
          user.password = ''
        }
        return user
      }),
    )
  }
}
