import { Body, Controller, Post } from '@nestjs/common'
import { EmailService } from './email.service'
import { ApiTags, ApiOperation } from '@nestjs/swagger'
import { EmailSendDto } from './dto/email.dto'

@ApiTags('Email')
@Controller('api/email')
export class EmailController {
  constructor(private readonly emailService: EmailService) {}

  @ApiOperation({ summary: '发送邮箱验证码' })
  @Post('verifyCode')
  async sendEmailCode(@Body() payload: EmailSendDto) {
    return this.emailService.sendEmailToken(payload.email, payload.scene)
  }
}
