import {
  IsNotEmpty,
  IsOptional,
  Length,
  IsEmail,
  IsStrongPassword,
} from 'class-validator'

export class CreateUserDto {
  @IsNotEmpty()
  @IsEmail()
  email: string

  @IsOptional()
  @Length(5, 20)
  username?: string

  @IsNotEmpty()
  @IsStrongPassword()
  password: string

  /** @description 验证码 */
  @IsNotEmpty()
  @Length(6, 6)
  verifyCode: string

  /** @description 发送邮箱接口返回的Token */
  @IsNotEmpty()
  token: string
}
