import { Module } from '@nestjs/common'
import { UsersService } from './users.service'
import { UsersController } from './users.controller'
import { JwtService } from '@nestjs/jwt'
import { EmailService } from 'src/email/email.service'
import { TokenController } from './token.controller'
import { TokenService } from './token.service'

@Module({
  controllers: [UsersController, TokenController],
  providers: [UsersService, JwtService, EmailService, TokenService],
  exports: [UsersService],
})
export class UsersModule {}
